add_library(
	NostalgiaScene-Studio
		studiomodule.cpp
		sceneeditor-imgui.cpp
		sceneeditor.cpp
		sceneeditorview.cpp
)

target_link_libraries(
	NostalgiaScene-Studio PUBLIC
		NostalgiaScene
		Studio
)

install(
	TARGETS
		NostalgiaScene-Studio
	LIBRARY DESTINATION
		${NOSTALGIA_DIST_MODULE}
)
